> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Add/Edit Bank Details

POST https://api.letsdeel.com/rest/payouts/employees/methods
Content-Type: application/json

Creates or updates an employee's bank payout method. If a method already exists, the existing record is superseded and the response includes a version identifier and activation status reflecting the updated state.

 **Token scopes**: `worker:read`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/add-edit-bank-details-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (PayoutsEmployeesMethodsPostRequestBodyContentApplicationJsonSchemaData, optional) — Request data

## Response

### 200

Add Bank Details / Edit Bank Details

- `data` (PayoutsEmployeesMethodsPostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### PayoutsEmployeesMethodsPostRequestBodyContentApplicationJsonSchemaData

Request data

- `id` (string, optional) — Unique identifier for the bank details
- `payload` (PayoutsEmployeesMethodsPostRequestBodyContentApplicationJsonSchemaDataPayload, optional) — Payload containing bank details

### PayoutsEmployeesMethodsPostResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — Unique identifier for the bank details
- `data` (PayoutsEmployeesMethodsPostResponsesContentApplicationJsonSchemaDataData, optional)
- `status` (string, optional) — Status of the bank details
- `version` (string, optional) — Version identifier
- `created_at` (string, optional) — Creation timestamp
- `updated_at` (string, optional) — Last update timestamp
- `is_active_version` (boolean, optional) — Indicates if this is the active version
- `funds_distribution` (double, optional) — Funds distribution percentage

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PayoutsEmployeesMethodsPostRequestBodyContentApplicationJsonSchemaDataPayload

Payload containing bank details

- `city` (string, optional) — Name of the city
- `iban` (string, optional) — International Bank Account Number
- `postal` (string, optional) — Postal code
- `bank_name` (string, optional) — Name of the bank
- `full_name` (string, optional) — Full name of the account holder
- `swift_bic` (string, optional) — SWIFT/BIC code
- `country_code` (string, optional) — Country code
- `address_line1` (string, optional) — Address line 1
- `original_name` (string, optional) — Original name of the account holder
- `province_state` (string, optional) — Province or state
- `bank_country_code` (string, optional) — Country code of the bank

### PayoutsEmployeesMethodsPostResponsesContentApplicationJsonSchemaDataData

- `city` (string, optional) — Name of the city
- `iban` (string, optional) — International Bank Account Number
- `postal` (string, optional) — Postal code
- `bank_name` (string, optional) — Name of the bank
- `full_name` (string, optional) — Full name of the account holder
- `swift_bic` (string, optional) — SWIFT/BIC code
- `country_code` (string, optional) — Country code
- `address_line1` (string, optional) — Address line 1
- `original_name` (string, optional) — Original name of the account holder
- `province_state` (string, optional) — Province or state
- `bank_country_code` (string, optional) — Country code of the bank

## Examples

### Add Bank Details

**Response**

```json
{
  "data": {
    "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
    "data": {
      "city": "City",
      "iban": "IT60X0542811101000000123456",
      "postal": "102030",
      "bank_name": "BANK NAME",
      "full_name": "FULL NAME",
      "swift_bic": "FIXXXXFI",
      "country_code": "IT",
      "address_line1": "Address Line",
      "original_name": "ORIGINAL NAME",
      "province_state": "Province",
      "bank_country_code": "IT"
    },
    "status": "APPROVED",
    "version": "f278fcff-0ffb-420c-8207-929b926638a0",
    "created_at": "2024-11-28T11:56:54.057Z",
    "updated_at": "2024-11-28T11:56:54.091Z",
    "is_active_version": true,
    "funds_distribution": 100
  }
}
```

**SDK Code**

```python Add Bank Details
import requests

url = "https://api.letsdeel.com/rest/payouts/employees/methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Add Bank Details
const url = 'https://api.letsdeel.com/rest/payouts/employees/methods';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Add Bank Details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/employees/methods"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Add Bank Details
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/employees/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Add Bank Details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/payouts/employees/methods")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Add Bank Details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/payouts/employees/methods', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Add Bank Details
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/employees/methods");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Add Bank Details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/employees/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Edit Bank Details

**Response**

```json
{
  "data": {
    "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
    "data": {
      "city": "City",
      "iban": "IT60X0542811101000000123456",
      "postal": "102030",
      "bank_name": "BANK NAME",
      "full_name": "FULL NAME",
      "swift_bic": "FIXXXXFI",
      "country_code": "IT",
      "address_line1": "Address Line",
      "original_name": "EDITED ORIGINAL NAME",
      "province_state": "Province",
      "bank_country_code": "IT"
    },
    "status": "APPROVED",
    "version": "4a4c5b41-ef11-42ea-b905-6f4beb1d4173",
    "created_at": "2024-11-28T12:21:31.712Z",
    "updated_at": "2024-11-28T12:21:31.818Z",
    "is_active_version": true,
    "funds_distribution": 100
  }
}
```

**SDK Code**

```python Edit Bank Details
import requests

url = "https://api.letsdeel.com/rest/payouts/employees/methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Edit Bank Details
const url = 'https://api.letsdeel.com/rest/payouts/employees/methods';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Edit Bank Details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/employees/methods"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Edit Bank Details
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/employees/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Edit Bank Details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/payouts/employees/methods")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Edit Bank Details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/payouts/employees/methods', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Edit Bank Details
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/employees/methods");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Edit Bank Details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/employees/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Add/Edit Bank Details

**Request**

```json
{
  "data": {
    "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
    "payload": {
      "city": "City",
      "iban": "IT60X0542811101000000123456",
      "postal": "102030",
      "bank_name": "BANK NAME",
      "full_name": "FULL NAME",
      "swift_bic": "FIXXXXFI",
      "country_code": "IT",
      "address_line1": "Address Line",
      "original_name": "EDITED ORIGINAL NAME",
      "province_state": "Province",
      "bank_country_code": "IT"
    }
  }
}
```

**Response**

```json
{
  "data": {
    "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
    "data": {
      "city": "City",
      "iban": "IT60X0542811101000000123456",
      "postal": "102030",
      "bank_name": "BANK NAME",
      "full_name": "FULL NAME",
      "swift_bic": "FIXXXXFI",
      "country_code": "IT",
      "address_line1": "Address Line",
      "original_name": "ORIGINAL NAME",
      "province_state": "Province",
      "bank_country_code": "IT"
    },
    "status": "APPROVED",
    "version": "f278fcff-0ffb-420c-8207-929b926638a0",
    "created_at": "2024-11-28T11:56:54.057Z",
    "updated_at": "2024-11-28T11:56:54.091Z",
    "is_active_version": true,
    "funds_distribution": 100
  }
}
```

**SDK Code**

```python Add/Edit Bank Details
import requests

url = "https://api.letsdeel.com/rest/payouts/employees/methods"

payload = { "data": {
        "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
        "payload": {
            "city": "City",
            "iban": "IT60X0542811101000000123456",
            "postal": "102030",
            "bank_name": "BANK NAME",
            "full_name": "FULL NAME",
            "swift_bic": "FIXXXXFI",
            "country_code": "IT",
            "address_line1": "Address Line",
            "original_name": "EDITED ORIGINAL NAME",
            "province_state": "Province",
            "bank_country_code": "IT"
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Add/Edit Bank Details
const url = 'https://api.letsdeel.com/rest/payouts/employees/methods';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"id":"230e7bf0-6c3e-426a-992c-7cff124561ff","payload":{"city":"City","iban":"IT60X0542811101000000123456","postal":"102030","bank_name":"BANK NAME","full_name":"FULL NAME","swift_bic":"FIXXXXFI","country_code":"IT","address_line1":"Address Line","original_name":"EDITED ORIGINAL NAME","province_state":"Province","bank_country_code":"IT"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Add/Edit Bank Details
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/employees/methods"

	payload := strings.NewReader("{\n  \"data\": {\n    \"id\": \"230e7bf0-6c3e-426a-992c-7cff124561ff\",\n    \"payload\": {\n      \"city\": \"City\",\n      \"iban\": \"IT60X0542811101000000123456\",\n      \"postal\": \"102030\",\n      \"bank_name\": \"BANK NAME\",\n      \"full_name\": \"FULL NAME\",\n      \"swift_bic\": \"FIXXXXFI\",\n      \"country_code\": \"IT\",\n      \"address_line1\": \"Address Line\",\n      \"original_name\": \"EDITED ORIGINAL NAME\",\n      \"province_state\": \"Province\",\n      \"bank_country_code\": \"IT\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Add/Edit Bank Details
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/employees/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"id\": \"230e7bf0-6c3e-426a-992c-7cff124561ff\",\n    \"payload\": {\n      \"city\": \"City\",\n      \"iban\": \"IT60X0542811101000000123456\",\n      \"postal\": \"102030\",\n      \"bank_name\": \"BANK NAME\",\n      \"full_name\": \"FULL NAME\",\n      \"swift_bic\": \"FIXXXXFI\",\n      \"country_code\": \"IT\",\n      \"address_line1\": \"Address Line\",\n      \"original_name\": \"EDITED ORIGINAL NAME\",\n      \"province_state\": \"Province\",\n      \"bank_country_code\": \"IT\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Add/Edit Bank Details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/payouts/employees/methods")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"id\": \"230e7bf0-6c3e-426a-992c-7cff124561ff\",\n    \"payload\": {\n      \"city\": \"City\",\n      \"iban\": \"IT60X0542811101000000123456\",\n      \"postal\": \"102030\",\n      \"bank_name\": \"BANK NAME\",\n      \"full_name\": \"FULL NAME\",\n      \"swift_bic\": \"FIXXXXFI\",\n      \"country_code\": \"IT\",\n      \"address_line1\": \"Address Line\",\n      \"original_name\": \"EDITED ORIGINAL NAME\",\n      \"province_state\": \"Province\",\n      \"bank_country_code\": \"IT\"\n    }\n  }\n}")
  .asString();
```

```php Add/Edit Bank Details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/payouts/employees/methods', [
  'body' => '{
  "data": {
    "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
    "payload": {
      "city": "City",
      "iban": "IT60X0542811101000000123456",
      "postal": "102030",
      "bank_name": "BANK NAME",
      "full_name": "FULL NAME",
      "swift_bic": "FIXXXXFI",
      "country_code": "IT",
      "address_line1": "Address Line",
      "original_name": "EDITED ORIGINAL NAME",
      "province_state": "Province",
      "bank_country_code": "IT"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Add/Edit Bank Details
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/employees/methods");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"id\": \"230e7bf0-6c3e-426a-992c-7cff124561ff\",\n    \"payload\": {\n      \"city\": \"City\",\n      \"iban\": \"IT60X0542811101000000123456\",\n      \"postal\": \"102030\",\n      \"bank_name\": \"BANK NAME\",\n      \"full_name\": \"FULL NAME\",\n      \"swift_bic\": \"FIXXXXFI\",\n      \"country_code\": \"IT\",\n      \"address_line1\": \"Address Line\",\n      \"original_name\": \"EDITED ORIGINAL NAME\",\n      \"province_state\": \"Province\",\n      \"bank_country_code\": \"IT\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Add/Edit Bank Details
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
    "payload": [
      "city": "City",
      "iban": "IT60X0542811101000000123456",
      "postal": "102030",
      "bank_name": "BANK NAME",
      "full_name": "FULL NAME",
      "swift_bic": "FIXXXXFI",
      "country_code": "IT",
      "address_line1": "Address Line",
      "original_name": "EDITED ORIGINAL NAME",
      "province_state": "Province",
      "bank_country_code": "IT"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/employees/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```